--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "absfilename:"
    body: use <tt>key</tt> as an actual filename, don't prepend the bot's config path and don't append &quot;.db&quot;
  type: :NOTE
full_name: Irc::DBHash::new
is_singleton: true
name: new
params: (bot, key, absfilename=false)
visibility: public
